//---------------------------------------------------------------------------

#ifndef Unit3H
#define Unit3H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Outlook_2K_SRVR.h"
#include <OleServer.hpp>
#include <ActnList.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TOutlookApplication *OA1;
        TMemo *M1;
        TButton *Next;
        TButton *Previous;
        TActionList *ActionList;
        TAction *aShowMessage;
        TButton *First;
        TButton *Last;
        TEdit *eID;
        TEdit *eTo;
        TEdit *eSubject;
        TEdit *eSender;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TButton *SaveMessage;
        TComboBox *Format;
        TLabel *Label4;
        TEdit *eCC;
        TRadioGroup *rSortOrder;
        TEdit *eDateTime;
        TEdit *eDate;
        TLabel *Label5;
        TEdit *eTime;
        TLabel *Label7;
        TLabel *Label6;
        TLabel *Label8;
        TLabel *Label9;
        TButton *Button1;
        TButton *bCloseEmail;
        void __fastcall NextClick(TObject *Sender);
        void __fastcall PreviousClick(TObject *Sender);
        void __fastcall aShowMessageExecute(TObject *Sender);
        void __fastcall FirstClick(TObject *Sender);
        void __fastcall LastClick(TObject *Sender);
        void __fastcall SaveMessageClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall rSortOrderClick(TObject *Sender);
        void __fastcall FormatChange(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall bCloseEmailClick(TObject *Sender);
private:	// User declarations
        // Outlook pointers :
        NameSpacePtr    pNameSpace ;
        FoldersPtr      pFolders ;
        MAPIFolderPtr   pFolder ;
        ItemsPtr        pItems ;
        MailItemPtr     pMailItem;
        RecipientPtr    pRecipient ;
        // Some Outlook vars :
        AnsiString      EmailUser ;
        AnsiString      FolderName ;
        AnsiString      FirstID ;
        AnsiString      LastID ;
        //
        long            ItemNr ;
        long            NumberOfMessages  ;
        long            NumberOfFolders ;
        long            NumberOfFolderItems ;
        // Saving message vars :
        AnsiString *    Extention ;
        int             ExtentionIndex ;
        //
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
